"""newAfdelingRekeningTabel

Revision ID: 5c7331aff1c1
Revises: 65fd104756c0
Create Date: 2024-09-06 11:46:39.668122

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '5c7331aff1c1'
down_revision = '65fd104756c0'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('afdeling_rekening',
        sa.Column('rekening_id', sa.Integer(), nullable=False),
        sa.Column('afdeling_uuid', sa.String(), nullable=False),
        sa.ForeignKeyConstraint(['rekening_id'], ['rekeningen.id'], ),
        sa.PrimaryKeyConstraint('rekening_id', 'afdeling_uuid')
    )

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('afdeling_rekening')
    # ### end Alembic commands ###
